/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TARMSOLICITUDDOCUMENTO")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tarmsolicituddocumento.findAll", query = "SELECT t FROM Tarmsolicituddocumento t"),
    @NamedQuery(name = "Tarmsolicituddocumento.findByCdocumento", query = "SELECT t FROM Tarmsolicituddocumento t WHERE t.tarmsolicituddocumentoPK.cdocumento = :cdocumento"),
    @NamedQuery(name = "Tarmsolicituddocumento.findByCsolicitud", query = "SELECT t FROM Tarmsolicituddocumento t WHERE t.tarmsolicituddocumentoPK.csolicitud = :csolicitud"),
    @NamedQuery(name = "Tarmsolicituddocumento.findByVerificado", query = "SELECT t FROM Tarmsolicituddocumento t WHERE t.verificado = :verificado"),
    @NamedQuery(name = "Tarmsolicituddocumento.findByChkcertificado", query = "SELECT t FROM Tarmsolicituddocumento t WHERE t.chkcertificado = :chkcertificado"),
    @NamedQuery(name = "Tarmsolicituddocumento.findByChkimpresion", query = "SELECT t FROM Tarmsolicituddocumento t WHERE t.chkimpresion = :chkimpresion")})
public class Tarmsolicituddocumento implements Serializable {

    private static final long serialVersionUID = 1L;
    @EmbeddedId
    protected TarmsolicituddocumentoPK tarmsolicituddocumentoPK;
    @Column(name = "VERIFICADO")
    private String verificado;
    @Column(name = "CHKCERTIFICADO")
    private String chkcertificado;
    @Column(name = "CHKIMPRESION")
    private String chkimpresion;
    @JoinColumn(name = "CDOCUMENTO", referencedColumnName = "CDOCUMENTO", insertable = false, updatable = false)
    @ManyToOne(optional = false)
    private Tarmdocumentohabilitante tarmdocumentohabilitante;
    @JoinColumn(name = "CSOLICITUD", referencedColumnName = "CSOLICITUD", insertable = false, updatable = false)
    @ManyToOne(optional = false)
    private Tarmsolicitud tarmsolicitud;

    public Tarmsolicituddocumento() {
    }

    public Tarmsolicituddocumento(TarmsolicituddocumentoPK tarmsolicituddocumentoPK) {
        this.tarmsolicituddocumentoPK = tarmsolicituddocumentoPK;
    }

    public Tarmsolicituddocumento(long cdocumento, String csolicitud) {
        this.tarmsolicituddocumentoPK = new TarmsolicituddocumentoPK(cdocumento, csolicitud);
    }

    public TarmsolicituddocumentoPK getTarmsolicituddocumentoPK() {
        return tarmsolicituddocumentoPK;
    }

    public void setTarmsolicituddocumentoPK(TarmsolicituddocumentoPK tarmsolicituddocumentoPK) {
        this.tarmsolicituddocumentoPK = tarmsolicituddocumentoPK;
    }

    public String getVerificado() {
        return verificado;
    }

    public void setVerificado(String verificado) {
        this.verificado = verificado;
    }

    public String getChkcertificado() {
        return chkcertificado;
    }

    public void setChkcertificado(String chkcertificado) {
        this.chkcertificado = chkcertificado;
    }

    public String getChkimpresion() {
        return chkimpresion;
    }

    public void setChkimpresion(String chkimpresion) {
        this.chkimpresion = chkimpresion;
    }

    public Tarmdocumentohabilitante getTarmdocumentohabilitante() {
        return tarmdocumentohabilitante;
    }

    public void setTarmdocumentohabilitante(Tarmdocumentohabilitante tarmdocumentohabilitante) {
        this.tarmdocumentohabilitante = tarmdocumentohabilitante;
    }

    public Tarmsolicitud getTarmsolicitud() {
        return tarmsolicitud;
    }

    public void setTarmsolicitud(Tarmsolicitud tarmsolicitud) {
        this.tarmsolicitud = tarmsolicitud;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (tarmsolicituddocumentoPK != null ? tarmsolicituddocumentoPK.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tarmsolicituddocumento)) {
            return false;
        }
        Tarmsolicituddocumento other = (Tarmsolicituddocumento) object;
        if ((this.tarmsolicituddocumentoPK == null && other.tarmsolicituddocumentoPK != null) || (this.tarmsolicituddocumentoPK != null && !this.tarmsolicituddocumentoPK.equals(other.tarmsolicituddocumentoPK))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tarmsolicituddocumento[ tarmsolicituddocumentoPK=" + tarmsolicituddocumentoPK + " ]";
    }
    
}
